#ifndef FileWriteCache_H
#define FileWriteCache_H

/* Written by Gerson Kurz (gerson.kurz@t-online.de). Freeware. Enjoy. */

class FileWriteCache
    {
    public:
        FileWriteCache();
        virtual ~FileWriteCache();
        BOOL Open( LPCSTR lpszFilename );
        void Close();
        void Flush();
        void Write( LPCSTR lpszMessage );
        BOOL IsOpen();

    protected:
        HANDLE m_hFile;
        DWORD m_dwOffset;
        DWORD m_dwMaxCache;
        CHAR m_szCache[4096];
    };

#endif // FileWriteCache_H
